Name:		libvpx
Summary:	VP8 Video Codec SDK
Version:	0.9.7
%define subrel 2
Release:	%mkrel 0
License:	BSD
Group:		System/Libraries
Source0:	http://webm.googlecode.com/files/%{name}-v%{version}-p1.tar.bz2
# Thanks to debian.
Source2:	libvpx.ver
Patch0:		libvpx-0.9.7-no-explicit-dep-on-static-lib.patch
Patch1:		libvpx-v0.9.7-p1-CVE-2012-0823.diff
URL:		http://www.webmproject.org/tools/vp8-sdk/
%ifarch %{ix86} x86_64
BuildRequires:	yasm
%endif
BuildRequires:	doxygen php-cli

%description
libvpx provides the VP8 SDK, which allows you to integrate your applications 
with the VP8 video codec, a high quality, royalty free, open source codec 
deployed on millions of computers and devices worldwide. 

%define	major	0
%define	libname	%mklibname vpx %major
%package -n	%{libname}
Summary:	VP8 Video Codec SDK
Group:		System/Libraries

%description -n %{libname}
libvpx provides the VP8 SDK, which allows you to integrate your applications 
with the VP8 video codec, a high quality, royalty free, open source codec 
deployed on millions of computers and devices worldwide. 

%define	devname	%mklibname -d vpx
%package -n	%{devname}
Summary:	Development files for libvpx
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
Development libraries and headers for developing software against 
libvpx.

%package	utils
Summary:	VP8 utilities and tools
Group:		Video

%description	utils
A selection of utilities and tools for VP8, including a sample encoder
and decoder.

%prep
%setup -q -n %{name}-v%{version}-p1
%patch0 -p1 -b .no-static-lib
%patch1 -p0 -b .CVE-2012-0823

%build
%ifarch %{ix86}
%global vpxtarget x86-linux-gcc
%else
%ifarch	x86_64
%global	vpxtarget x86_64-linux-gcc
%else
%global vpxtarget generic-gnu
%endif
%endif
%setup_compile_flags

./configure --target=%{vpxtarget} --enable-pic --disable-install-srcs

%make verbose=true target=libs

# Really? You couldn't make this a shared library? Ugh.
# Oh well, I'll do it for you.
mkdir -p tmp
cd tmp
ar x ../libvpx_g.a
cd ..
gcc -fPIC -shared -pthread -lm %{ldflags} -Wl,-soname,libvpx.so.0 -Wl,--version-script,%{SOURCE2} -Wl,-z,noexecstack -o libvpx.so.0.0.0 tmp/*.o 
rm -rf tmp

# Temporarily dance the static libs out of the way
mv libvpx.a libNOTvpx.a
mv libvpx_g.a libNOTvpx_g.a

# We need to do this so the examples can link against it.
ln -sf libvpx.so.0.0.0 libvpx.so

%make verbose=true target=examples
%make verbose=true target=docs

# Put them back so the install doesn't fail
mv libNOTvpx.a libvpx.a
mv libNOTvpx_g.a libvpx_g.a

%install
make DIST_DIR=%{buildroot}%{_prefix} install

cp simple_decoder %{buildroot}%{_bindir}/vp8_simple_decoder                        
cp simple_encoder %{buildroot}%{_bindir}/vp8_simple_encoder                        
cp twopass_encoder %{buildroot}%{_bindir}/vp8_twopass_encoder            

%if %{_lib} != lib
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_libdir}
%endif

# Fill in the variables
sed -i "s|/usr/local|%{_prefix}|g" %{buildroot}%{_libdir}/pkgconfig/vpx.pc
sed -i "s|\${prefix}/lib|%{_libdir}|g" %{buildroot}%{_libdir}/pkgconfig/vpx.pc

mkdir -p %{buildroot}%{_includedir}/vpx/
install -p libvpx.so.0.0.0 %{buildroot}%{_libdir}
pushd %{buildroot}%{_libdir}
ln -sf libvpx.so.0.0.0 libvpx.so
ln -sf libvpx.so.0.0.0 libvpx.so.0
ln -sf libvpx.so.0.0.0 libvpx.so.0.0
popd
pushd %{buildroot}
# Stuff we don't need.
rm -rf usr/build/ usr/md5sums.txt usr/lib*/*.a usr/CHANGELOG usr/README
# Fix the binary permissions
chmod 755 usr/bin/*
popd

%files -n %{libname}
%doc AUTHORS CHANGELOG LICENSE README
%{_libdir}/libvpx.so.%{major}*

%files -n %{devname}
# These are SDK docs, not really useful to an end-user.
%doc docs/html
%{_includedir}/vpx/
%{_libdir}/pkgconfig/vpx.pc
%{_libdir}/libvpx.so

%files utils
%{_bindir}/*


%changelog
* Mon Feb 27 2012 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-0.2
- P1: security fix for CVE-2012-0823 (upstream)

* Thu Feb 02 2012 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-0.1
- backported for firefox 10.0

* Sun Jan 22 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.7-3
+ Revision: 764882
- cleanups!
- drop legacy rpm junk
- build with %%optflags & %%ldflags

* Thu Aug 18 2011 Götz Waschk <waschk@mandriva.org> 0.9.7-2
+ Revision: 695121
- update to 0.9.7-p1

* Sun Aug 14 2011 Götz Waschk <waschk@mandriva.org> 0.9.7-1
+ Revision: 694473
- new version
- rediff patch
- use upstream pkgconfig file, providing vpx instead of libvpx

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-2
+ Revision: 662418
- mass rebuild

* Wed Mar 09 2011 Götz Waschk <waschk@mandriva.org> 0.9.6-1
+ Revision: 643033
- new version
- update shared library linking with new symbols

  + Claudio Matsuoka <claudio@mandriva.com>
    - Bump release for submission to 2010.0/1 contrib/updates
    - Bump release. Stupid buildsystem.

* Fri Nov 05 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 593687
- new version

* Thu Sep 09 2010 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 576927
- new version
- fix source URL

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.1-2mdv2011.0
+ Revision: 550634
- fix utils dep

* Sat Jun 26 2010 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 549187
- new version
- installation fixes
- import libvpx


* Wed May 26 2010 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2010.1
- import from Fedora

* Fri May 21 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-5
- fix noexecstack flag

* Thu May 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-4
- BuildRequires: yasm (we're optimized again)

* Thu May 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-3
- add pkg-config file
- move headers into include/vpx/
- enable optimization

* Thu May 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-2
- fix permissions on binaries
- rename generic binaries to v8_*
- link shared library to -lm, -lpthread to resolve missing weak symbols

* Wed May 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.0-1
- Initial package for Fedora
